-- 资产政策分录增加工作量单位和预期寿命
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FA_DEPRESYSTEMAPENTRY' AND KSQL_COL_NAME ='FWORKLOADUNITID')
ALTER TABLE T_FA_DEPRESYSTEMAPENTRY ADD (FWORKLOADUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FA_DEPRESYSTEMAPENTRY' AND KSQL_COL_NAME ='FEXPECTUSE') 

-- 工作量维护：本期工作量扩容
ALTER TABLE T_FA_DEPRESYSTEMAPENTRY ADD (FEXPECTUSE DECIMAL(23,10) DEFAULT 0 NOT NULL );
EXEC p_AlterColumn 'T_FA_WORKLOAD', 'FWORKLOAD', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';
-- 工作量维护：新增工作量单位字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FA_WORKLOAD' AND KSQL_COL_NAME ='FWORKLOADUNITID') 
ALTER TABLE T_FA_WORKLOAD ADD (FWORKLOADUNITID BIGINT DEFAULT 0 NOT NULL );

-- 财务卡片字段：已折旧期间数扩容，支持计量单位
EXEC p_AlterColumn 'T_FA_CARD_FIN', 'FDEPREDAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';
-- 财务卡片字段：预计使用期间数，支持计量单位
EXEC p_AlterColumn 'T_FA_CARD_FIN', 'FPREUSINGAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

-- 资产卡片分录增加工作量单位
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FA_ASSET_FINENTRY' AND KSQL_COL_NAME ='FWORKLOADUNITID') 
 ALTER TABLE T_FA_ASSET_FINENTRY ADD (FWORKLOADUNITID BIGINT DEFAULT 0 NOT NULL );
 